0

When I ran

composer create-project drupal-composer/drupal-project:8.x-dev mysite --no-interaction

it installed drupal/core:8.8.0-alpha1. Then to see what was wrong, I ran

composer prohibits drupal/core:8.8.5

and the output was

drupal/core-dev 8.8.0-alpha1 requires drupal/core (self.version)                             
drupal/core 8.8.5 requires zendframework/zend-diactoros (^1.8)      
drupal-composer/drupal-project dev-master does not require  zendframework/zend-diactoros (but 1.7.2 is installed)

What should I do next to get the most recent stable version? Was I supposed to run composer create-project drupal-composer/drupal=project:8.8.5?

4
  • 1
    Can you confirm what version of PHP you are using from the CLI? I just ran the same command w/ PHP 7.4 with an empty composer cache, and couldn't reproduce this. – mpdonadio Apr 14 '20 at 0:40
  • Php 7.4.4 I did not clearcache and wil run it again – fndtn357 Apr 14 '20 at 1:26
  • running it again produces - still Installing drupal/core-dev (8.8.0-alpha1) – fndtn357 Apr 14 '20 at 1:35
  • 1
    I redid the way I entered the composer command and used "composer create-project drupal/recommended-project mysite" and it downloaded all of hte code properly and was current. I can close this question. – fndtn357 Apr 14 '20 at 3:07
1

Installed Drupal using this instead: composer create-project Drupal/recommended-project mysite and everything is current and correct.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.